| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeObject Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union TypeObject defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeObject ()
| Default constructor.
eProsima_user_DllExport | ~TypeObject ()
| Default destructor.
eProsima_user_DllExport | TypeObject (const TypeObject &x)
| Copy constructor.
eProsima_user_DllExport | TypeObject (TypeObject &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeObject & | operator= (const TypeObject &x)
| Copy assignment.
eProsima_user_DllExport TypeObject & | operator= (TypeObject &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeObject &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeObject &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | complete (const CompleteTypeObject &_complete)
| This function copies the value in member complete.
eProsima_user_DllExport void | complete (CompleteTypeObject &&_complete)
| This function moves the value in member complete.
eProsima_user_DllExport const CompleteTypeObject & | complete () const
| This function returns a constant reference to member complete.
eProsima_user_DllExport CompleteTypeObject & | complete ()
| This function returns a reference to member complete.
eProsima_user_DllExport void | minimal (const MinimalTypeObject &_minimal)
| This function copies the value in member minimal.
eProsima_user_DllExport void | minimal (MinimalTypeObject &&_minimal)
| This function moves the value in member minimal.
eProsima_user_DllExport const MinimalTypeObject & | minimal () const
| This function returns a constant reference to member minimal.
eProsima_user_DllExport MinimalTypeObject & | minimal ()
| This function returns a reference to member minimal.
void | _default ()

## Detailed Description

This class represents the union TypeObject defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeObject() [1/3]

eProsima_user_DllExport TypeObject | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeObject()

eProsima_user_DllExport ~TypeObject | ( |  | ) |

inline

Default destructor.

## ◆ TypeObject() [2/3]

eProsima_user_DllExport TypeObject | ( | const TypeObject & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeObject that will be copied.

## ◆ TypeObject() [3/3]

eProsima_user_DllExport TypeObject | ( | TypeObject && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeObject that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ _default()

void _default | ( |  | ) |

inline

## ◆ complete() [1/4]

eProsima_user_DllExport CompleteTypeObject & complete | ( |  | ) |

inline

This function returns a reference to member complete.

Returns
  Reference to member complete

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ complete() [2/4]

eProsima_user_DllExport const CompleteTypeObject & complete | ( |  | ) | const

inline

This function returns a constant reference to member complete.

Returns
  Constant reference to member complete

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ complete() [3/4]

eProsima_user_DllExport void complete | ( | CompleteTypeObject && | _complete | ) |

inline

This function moves the value in member complete.

Parameters

  _complete | New value to be moved in member complete

## ◆ complete() [4/4]

eProsima_user_DllExport void complete | ( | const CompleteTypeObject & | _complete | ) |

inline

This function copies the value in member complete.

Parameters

  _complete | New value to be copied in member complete

## ◆ minimal() [1/4]

eProsima_user_DllExport MinimalTypeObject & minimal | ( |  | ) |

inline

This function returns a reference to member minimal.

Returns
  Reference to member minimal

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ minimal() [2/4]

eProsima_user_DllExport const MinimalTypeObject & minimal | ( |  | ) | const

inline

This function returns a constant reference to member minimal.

Returns
  Constant reference to member minimal

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ minimal() [3/4]

eProsima_user_DllExport void minimal | ( | const MinimalTypeObject & | _minimal | ) |

inline

This function copies the value in member minimal.

Parameters

  _minimal | New value to be copied in member minimal

## ◆ minimal() [4/4]

eProsima_user_DllExport void minimal | ( | MinimalTypeObject && | _minimal | ) |

inline

This function moves the value in member minimal.

Parameters

  _minimal | New value to be moved in member minimal

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeObject object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeObject & operator= | ( | const TypeObject & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeObject that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeObject & operator= | ( | TypeObject && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeObject that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeObject object to compare.

## Member Data Documentation

## ◆ m_complete

CompleteTypeObject m_complete

## ◆ m_minimal

MinimalTypeObject m_minimal

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp